Package com.fasterxml.jackson.datatype.joda.ser

## Class LocalTimeSerializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<T>
  - - com.fasterxml.jackson.databind.ser.std.StdSerializer<T>
    - - com.fasterxml.jackson.datatype.joda.ser.JodaDateSerializerBase<org.joda.time.LocalTime>
      - - com.fasterxml.jackson.datatype.joda.ser.LocalTimeSerializer

All Implemented Interfaces:
  `Serializable`

    public class LocalTimeSerializer
    extends JodaDateSerializerBase<org.joda.time.LocalTime>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

`com.fasterxml.jackson.databind.JsonSerializer.None`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.datatype.joda.ser.JodaDateSerializerBase

`_defaultNumericShape, _featureForNumeric, _format, _shapeOverride, FORMAT_ARRAY, FORMAT_STRING, FORMAT_TIMESTAMP`

### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_handledType`

### Constructor Summary

Constructors
`LocalTimeSerializer​()`
`LocalTimeSerializer​(JacksonJodaDateFormat format, int shapeOverride)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `serialize​(org.joda.time.LocalTime value, com.fasterxml.jackson.core.JsonGenerator gen, com.fasterxml.jackson.databind.SerializerProvider provider)`
`void` `serializeWithType​(T value, com.fasterxml.jackson.core.JsonGenerator g, com.fasterxml.jackson.databind.SerializerProvider provider, com.fasterxml.jackson.databind.jsontype.TypeSerializer typeSer)`
`LocalTimeSerializer` `withFormat​(JacksonJodaDateFormat formatter, int shapeOverride)`

### Methods inherited from class com.fasterxml.jackson.datatype.joda.ser.JodaDateSerializerBase

`_serializationShape, acceptJsonFormatVisitor, createContextual, getSchema, isEmpty, writeWithZoneId`

### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

`getDelegatee, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, unwrappingSerializer, usesObjectId, withFilterId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_neitherNull, _nonEmpty, createSchemaNode, createSchemaNode, findAnnotatedContentSerializer, findContextualConvertingSerializer, findConvertingContentSerializer, findFormatFeature, findFormatOverrides, findIncludeOverrides, findPropertyFilter, getSchema, handledType, isDefaultSerializer, visitArrayFormat, visitArrayFormat, visitFloatFormat, visitIntFormat, visitIntFormat, visitStringFormat, visitStringFormat, wrapAndThrow, wrapAndThrow`

### Constructor Detail

#### LocalTimeSerializer

    public LocalTimeSerializer​()

#### LocalTimeSerializer

    public LocalTimeSerializer​(JacksonJodaDateFormat format,
                               int shapeOverride)

### Method Detail

#### withFormat

    public LocalTimeSerializer withFormat​(JacksonJodaDateFormat formatter,
                                          int shapeOverride)

Specified by:
  `withFormat` in class `JodaDateSerializerBase<org.joda.time.LocalTime>`

#### serialize

    public void serialize​(org.joda.time.LocalTime value,
                          com.fasterxml.jackson.core.JsonGenerator gen,
                          com.fasterxml.jackson.databind.SerializerProvider provider)
                   throws IOException

Specified by:
  `serialize` in class `com.fasterxml.jackson.databind.ser.std.StdSerializer<org.joda.time.LocalTime>`
Throws:
  `IOException`

#### serializeWithType

    public void serializeWithType​(T value,
                                  com.fasterxml.jackson.core.JsonGenerator g,
                                  com.fasterxml.jackson.databind.SerializerProvider provider,
                                  com.fasterxml.jackson.databind.jsontype.TypeSerializer typeSer)
                           throws IOException

Overrides:
  `serializeWithType` in class `com.fasterxml.jackson.databind.JsonSerializer<T>`
Throws:
  `IOException`